#if !defined(AFX_APLWFPVIEW_H__DB608936_6E41_4596_B88D_6080061F90DC__INCLUDED_)
#define AFX_APLWFPVIEW_H__DB608936_6E41_4596_B88D_6080061F90DC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// aplWFPView.h : header file
//
class CZoomtestDoc;
//#include "zoomtestDoc.h"
#include "zoomview.h"

#include <apl_api.h>
#include "aplWorkFlowManager.h"

/////////////////////////////////////////////////////////////////////////////
// CaplWFTemplateView view

class AFX_EXT_CLASS CaplWFTemplateView : public CZoomView
{
protected:
	CaplWFTemplateView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CaplWFTemplateView)

// Attributes
public:
	CaplAPI *m_api;
	CaplWorkFlowManager *m_wf_mgr;

	CaplInstance *m_prc;
	CaplInstance *m_task_for_sel;

	aplExtent m_activities;
	aplExtent m_connectors;


	int m_bShowArrowStatus;
	int m_bShowArrowState;
	int m_bShowArrowStatusColor;

// Operations
public:
	void GetFont(CaplInstance *font_inst, CFont &font);
	void ZoomAllObj();
	void InitialUpdate();

	bool ShowTemplate(CaplInstance *prc, CaplInstance *act=0);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CaplWFTemplateView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void OnInitialUpdate();     // first time after construct
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

	void GetObjectsRect(RECT &rect);

// Implementation
protected:
	virtual ~CaplWFTemplateView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CaplWFTemplateView)
	afx_msg void OnZoomAllObj();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnPrintPreview();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_APLWFPVIEW_H__DB608936_6E41_4596_B88D_6080061F90DC__INCLUDED_)
